#
# spec file for package python-pytest-tornado
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-tornado
Version:        0.8.1
Release:        3.1
Summary:        A py.test plugin for tornado applications
License:        Apache-2.0
URL:            https://github.com/eugeniy/pytest-tornado
Source:         https://github.com/eugeniy/pytest-tornado/archive/v%{version}.tar.gz#/pytest-tornado-%{version}.tar.gz
BuildRequires:  %{python_module certifi}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module tornado >= 4.1}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-certifi
Requires:       python-pytest
Requires:       python-tornado >= 4.1
BuildArch:      noarch
%python_subpackages

%description
A py.test_ plugin providing fixtures and markers to simplify testing
of asynchronous tornado applications.

%prep
%setup -q -n pytest-tornado-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/pytest_tornado
%{python_sitelib}/pytest_tornado-%{version}.dist-info

%changelog
* Wed May  7 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- No more greedy globs in %%files.
* Wed Aug 16 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Mon Jun 29 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.8.1
  * Fixed deprecation warning for pytest >= 5.4
- Pull in Github tarball and launch tests
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.8.0:
  * Added support for HTTPS testing (#50)
  * Group commandline options for pytest (#53)
  * Added support for Tornado 6
* Sun Jul 15 2018 mimi.vx@gmail.com
- no tests in upstream package
* Thu May  3 2018 toddrme2178@gmail.com
- Update to 5.0.0
  * Fix to work with tornado 5
- Add license file
- Use %%license tag
* Fri Apr 20 2018 toddrme2178@gmail.com
- Initial version
